#pragma once
#include <map>
struct Fish_RouteGroupCFGData
{
	//key
	int mID;
	//·Ö×éÃû×Ö
	std::string mGroupName;
	//Â·¾¶ID
	std::vector<int> mRouteIDs;
};

class Fish_RouteGroupCFG
{
public:
private:
	static std::auto_ptr<Fish_RouteGroupCFG> msSingleton;
public:
	int GetCount();
	const Fish_RouteGroupCFGData* GetData(int ID);
	const std::map<int, Fish_RouteGroupCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_RouteGroupCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_RouteGroupCFGData> mMapData;
};
